Bug 1731659 - Auto-filled Date/Time format in ICS 205 is wacky.
Summary: Auto-filled Date/Time format in ICS 205 is wacky.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flmsg
Version: 30
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-20 19:12 UTC by Need Real Name
Modified: 2019-09-14 16:32 UTC (History)
1 user (show)

Fixed In Version: flmsg-4.0.14-1.fc30 flmsg-4.0.14-1.fc29 flmsg-4.0.14-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-09 02:21:49 UTC


Attachments (Terms of Use)

Description Need Real Name 2019-07-20 19:12:57 UTC
Description of problem:

Auto-filled Date/Time format in ICS 205 is wacky. Even though I hae my Date/Time format set to "YYYY-MM-DD" and "hhmmL", the date time filled in on the ICS 205 looks like "201205L JUL 2019".

Version-Release number of selected component (if applicable):

flmsg-4.0.8-1.fc30.x86_64 but I can also reproduce on older version of Mac flmsg.

How reproducible:

Auto-fill Date/Time an ICS 205 form 

Steps to Reproduce:
1. Auto-fill Date/Time an ICS 205 form 
2.
3.

Actual results: "201205L JUL 2019".

Expected results: "21 JUL 2019 1205L"


Additional info: Trivial to work around by typing the date/time in the format you desire, it is stored as a text value in the "message" file: 

messages$ cat datetimetest.205
<flmsg>4.0.8
:hdr_fm:22 
kf6iiu 20192007191132
:hdr_ed:22 
kf6iiu 20192007190726
<ics205>
:nam:21 date time format test
:dt1:16 201210L JUL 2019
:dt2:17 1200L 21 Jul 2019
:dt3:17 1700L 21 Jul 2019

If I can find where in the code (compiled-in form template?) this happens I'll post some diffs.

Comment 1 Richard Shaw 2019-07-20 21:20:40 UTC
This doesn't look like something that should likely be handled at the packaging level. It may be better to post to the linuxham mailing list which Dave monitors or email him directly.

Comment 2 Richard Shaw 2019-07-21 02:01:00 UTC
FYI, I just submitted updates for 4.0.10. Can you see if the same problem is present?

Comment 3 Fedora Update System 2019-08-31 13:07:20 UTC
FEDORA-2019-c20ac6aa42 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c20ac6aa42

Comment 4 Fedora Update System 2019-08-31 13:07:25 UTC
FEDORA-2019-31fdf8443f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-31fdf8443f

Comment 5 Fedora Update System 2019-08-31 20:16:51 UTC
flmsg-4.0.14-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-31fdf8443f

Comment 6 Fedora Update System 2019-09-01 08:11:18 UTC
flmsg-4.0.14-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-40ae9ac2c6

Comment 7 Fedora Update System 2019-09-01 09:46:42 UTC
flmsg-4.0.14-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c20ac6aa42

Comment 8 Fedora Update System 2019-09-09 02:21:49 UTC
flmsg-4.0.14-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-09-09 02:31:59 UTC
flmsg-4.0.14-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-14 00:08:25 UTC
flmsg-4.0.14-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-14 16:32:16 UTC
flmsg-4.0.14-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.